<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateServiceDescriptionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('service_descriptions', function (Blueprint $table) {
            $table->id();
            $table->string('title', 100);
//            $table->string('keywords', 100)->nullable();
//            $table->string('meta_description', 100)->nullable();
//            $table->text('description')->nullable();

            $table->unsignedBigInteger('service_id');
            $table->unsignedBigInteger('language_id');

            $table->foreign('service_id')->references('id')->on('services')->onDelete('cascade');

            $table->index(['service_id', 'language_id']);


            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('service_descriptions');
    }
}
